<bugID>382466<Summary>in toolbar.xml, prevent lots of repeated work in updateChevron() by using a timer</Summary><Description>in toolbar.xml's itemChanged(), prevent lots of repeated work in updateChevron() by using a timer

spun off from bug #379591, asaf wrote:

&gt; Hrm, it might worth checking whether boxObject.width of the DOM node has
&gt; changed (on a timeout) and only call updateChevron if so.

In addition to loading or reloading livemarks, there might be a lot of calls to updateChevron when adding or deleting lots of top level personal toolbar items from the bookmark manager dialog at once.

again, before we fix this, we should be convinced that we have a real performance problem.</Description></bugID>